---
search:
  tags:
    - Agent
    - GET
seo:
  description: >-
    Agent credit balance. Reference for the GET /v1/balance endpoint in the
    agentsub Gateway API.
sidebar:
  label: Agent credit balance
  badge: GET
title: Agent credit balance
type: openapi-operation
---
`GET /v1/balance`

**Responses**

- `200` — Balance in microcredits (integer decimal string)
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "availableUc": "string",
  "heldUc": "string",
  "spentUc": "string",
  "lots": [
    {}
  ]
}
```
